Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb
Class XDBError

    java.lang.Object
      |
      +--oracle.xdb.XDBError

public class XDBError
extends java.lang.Object

Field Summary
`static java.lang.String` | `CANT_UNBIND_SUBCONTEXT`
`static java.lang.String` | `CLOSED_OBJECT`
`static java.lang.String` | `EMPTY_PATH`
`static java.lang.String` | `END_OF_ENUM`
`static java.lang.String` | `INVALID_CSID`
`static java.lang.String` | `INVALID_OBJECT`
`static java.lang.String` | `INVALID_PARAM`
`static java.lang.String` | `PATH_ELEM_TOO_LONG`
`static java.lang.String` | `PATH_TOO_LONG`
`static java.lang.String` | `THIN_NOT_SUPPORTED`

Constructor Summary
`XDBError()`

Method Summary
`static java.lang.String` | `getMsg(java.lang.String msgname)` Gets the error message for the specified error message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_PARAM

    public static final java.lang.String INVALID_PARAM

  See Also:
    Constant Field Values

### EMPTY_PATH

    public static final java.lang.String EMPTY_PATH

  See Also:
    Constant Field Values

### PATH_TOO_LONG

    public static final java.lang.String PATH_TOO_LONG

  See Also:
    Constant Field Values

### PATH_ELEM_TOO_LONG

    public static final java.lang.String PATH_ELEM_TOO_LONG

  See Also:
    Constant Field Values

### CANT_UNBIND_SUBCONTEXT

    public static final java.lang.String CANT_UNBIND_SUBCONTEXT

  See Also:
    Constant Field Values

### END_OF_ENUM

    public static final java.lang.String END_OF_ENUM

  See Also:
    Constant Field Values

### INVALID_OBJECT

    public static final java.lang.String INVALID_OBJECT

  See Also:
    Constant Field Values

### THIN_NOT_SUPPORTED

    public static final java.lang.String THIN_NOT_SUPPORTED

  See Also:
    Constant Field Values

### CLOSED_OBJECT

    public static final java.lang.String CLOSED_OBJECT

  See Also:
    Constant Field Values

### INVALID_CSID

    public static final java.lang.String INVALID_CSID

  See Also:
    Constant Field Values

Constructor Detail

### XDBError

    public XDBError()

Method Detail

### getMsg

    public static java.lang.String getMsg(java.lang.String msgname)

  Gets the error message for the specified error message. Loads it if it is null.
  Returns:
    the error message string;

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.